rte_acl_config(3)

NAME
rte_acl_config

SYNOPSIS

#include <rte_acl.h>

  Data Fields

uint32_t num_categories
uint32_t num_fields
struct rte_acl_field_def defs [RTE_ACL_MAX_FIELDS]
size_t max_size

Detailed Description

ACL build configuration. Defines the fields of an ACL trie and number of categories to build with.

Definition at line 64 of file rte_acl.h.

Field Documentation

  uint32_t num_categories
Number of categories to build with.

Definition at line 65 of file rte_acl.h.

  uint32_t num_fields
Number of field definitions.

Definition at line 66 of file rte_acl.h.

  struct rte_acl_field_def defs[RTE_ACL_MAX_FIELDS]
array of field definitions.

Definition at line 67 of file rte_acl.h.

  size_t max_size
max memory limit for internal run-time structures.

Definition at line 69 of file rte_acl.h.

Author

Generated automatically by Doxygen for DPDK from the source code.